> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List Exports.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/systemlog/exports
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/systemlog/exports:
    get:
      tags:
        - System Log Exporter
      summary: List
      description: List Exports.
      operationId: c1.api.systemlog.v1.ExportService.List
      parameters:
        - in: query
          name: page_size
          schema:
            description: The pageSize field.
            format: int32
            readOnly: false
            type: integer
        - in: query
          name: page_token
          schema:
            description: The pageToken field.
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.systemlog.v1.ExportServiceListResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: List
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Export.List(ctx, operations.C1APISystemlogV1ExportServiceListRequest{})\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ExportServiceListResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.export.list();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.systemlog.v1.ExportServiceListResponse:
      description: The ExportServiceListResponse message.
      properties:
        list:
          description: >-
            The list of results containing up to X results, where X is the page
            size defined in the request
          items:
            $ref: '#/components/schemas/c1.api.systemlog.v1.Exporter'
          nullable: true
          readOnly: false
          type: array
        nextPageToken:
          description: >-
            The nextPageToken is shown for the next page if the number of
            results is larger than the max page size. The server returns one
            page of results and the nextPageToken until all results are
            retreived. To retrieve the next page, use the same request and
            append a pageToken field with the value of nextPageToken shown on
            the previous page.
          readOnly: false
          type: string
      title: Export Service List Response
      type: object
      x-speakeasy-name-override: ExportServiceListResponse
    c1.api.systemlog.v1.Exporter:
      description: >
        The Exporter message.


        This message contains a oneof named export_to. Only a single field of
        the following list may be set at a time:
          - datasource
      properties:
        createdAt:
          format: date-time
          readOnly: true
          type: string
        datasource:
          $ref: '#/components/schemas/c1.api.systemlog.v1.ExportToDatasource'
        deletedAt:
          format: date-time
          readOnly: true
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        exportId:
          description: The exportId field.
          readOnly: true
          type: string
        state:
          description: The state field.
          enum:
            - EXPORT_STATE_UNSPECIFIED
            - EXPORT_STATE_EXPORTING
            - EXPORT_STATE_WAITING
            - EXPORT_STATE_ERROR
          readOnly: true
          type: string
          x-speakeasy-unknown-values: allow
        updatedAt:
          format: date-time
          readOnly: true
          type: string
        watermarkEventId:
          description: we've synchorized this far
          readOnly: true
          type: string
      title: Exporter
      type: object
      x-speakeasy-name-override: Exporter
    c1.api.systemlog.v1.ExportToDatasource:
      description: The ExportToDatasource message.
      nullable: true
      properties:
        datasourceId:
          description: The datasourceId field.
          readOnly: false
          type: string
        format:
          description: The format field.
          enum:
            - EXPORT_FORMAT_UNSPECIFIED
            - EXPORT_FORMAT_OCSF_JSON_ZSTD
            - EXPORT_FORMAT_OCSF_JSON_GZIP
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        prefix:
          description: The prefix field.
          readOnly: false
          type: string
      title: Export To Datasource
      type: object
      x-speakeasy-name-override: ExportToDatasource
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````